RBD-REPLAY-PREP(8)

NAME
rbd-replay-prep - prepare captured rados block device (RBD) workloads for replay

SYNOPSIS
rbd-replay-prep [ --window seconds ] [ --anonymize ] trace_dir replay_file

DESCRIPTION

rbd-replay-prep processes raw rados block device (RBD) traces to prepare them for rbd-replay.

OPTIONS

    --window seconds
        Requests further apart than 'seconds' seconds are assumed to be independent.

    --anonymize
        Anonymizes image and snap names.

    --verbose
        Print all processed events to console

EXAMPLES

To prepare workload1-trace for replay:

            rbd-replay-prep workload1-trace/ust/uid/1000/64-bit workload1

AVAILABILITY

rbd-replay-prep is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at <https://docs.ceph.com> for more information.

SEE ALSO

rbd-replay <>(8), rbd <>(8)

Copyright
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)